<template>
  <div class="main">
    <h2 class="sub-title">Artists</h2>
    <a-row :gutter="24">
      <a-col
          v-for="(item, ind) in listArtist"
          :xs="{ span: 8 }"
          :sm="{ span: 8 }"
          :md="{ span: 4 }"
          :lg="{ span: 4 }"
          :key="ind">
        <div class="artist" @click="goDetail(item.user_id)">
          <div class="cover">
            <div class="wrap-image square">
              <img :src="item.img_thumb || item.img_banner"/>
              <a-icon class="play-icon" type="play-circle" theme="filled"/>
            </div>
          </div>
          <div class="description">
            <span class="card-artists_title">{{ item.name }}</span>
          </div>
        </div>
      </a-col>
    </a-row>
  </div>
</template>

<script>
import service from "../../service.js";

export default {
  data() {
    return {
      listArtist: []
    };
  },
  methods: {
    goDetail(artistId) {
      this.$router.push(`artists/detail/${artistId}`)
    },
    async callServiceData() {
      const token = localStorage.getItem('Authorization');
      const params = {
        page: 1,
        number_per_page: 30
      };
      if (token) {
        params.token = token;
      }

      let res = await service.get('/artist/view-more-artist', { params });

      if (!res || !res.data || res.data.code !== 200 || !res.data.data) return;
      this.listArtist = res.data.data;
    }
  },
  mounted() {
    this.callServiceData();
  }
};
</script>

<style scoped>
.artist{
  margin-bottom: 20px;
  cursor: pointer ;
}
.cover{
  border-radius: 50%;
  overflow: hidden;
  position: relative;
}
.cover:hover .play-icon{
  opacity: 1;
}
.cover:hover .wrap-image img{
  transform: scale(1.1);
  opacity: 0.6;
}
.wrap-image img{
  transition: all .3s ease;
  transform: scale(1);
  opacity: 1;
}
.play-icon {
  font-size: 40px;
  color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all .3s ease;
  opacity: 0;
}

.card-artists:hover img {
  opacity: .5;
}

.card-artists:hover .play-icon {
  visibility: visible;
}

.description {
  margin-top: 5px;
  text-align: center !important;
}
</style>